% This file makes Figure I - model residuals across the ergodic set.
% To run this file, you first have to run accuracy_and_simulation.m for all
% solutions for model version 7, and present_tables.m for the same version.

clear,clc, close all
load('models')

model_no=8;

veri='1'; % choose disaster parameterization
load(['present_ver' veri '_' models{model_no}])

set(0, 'defaultFigurePaperPosition',  [0 0 20 21.5]);

fig= figure('color', [1 1 1], 'PaperType', 'A4');
T=size(tp2_r,2);

limits2=[1,T,-.04,.04];
limits3=[1,T,-4e-3,4e-3];

subplot(4,1,1)
plot(tp2_r');
title('Taylor Projection 2nd order')

axis(limits2) 

subplot(4,1,2)
plot(tp3_r');
title('Taylor Projection 3rd order')
axis(limits3) 

subplot(4,1,3)
plot(smol2_r');
title('Smolyak 2nd order')
axis(limits2) 

subplot(4,1,4)
plot(smol3_r');
title('Smolyak 3rd order')
axis(limits3) 


saveas(fig,['newEE8.eps'],'epsc')

