% This file replicates all the results reported in Fernandez-Villaverde and
% Levintal (2016): "Solution Methods for Models with Rare Disasters", NBER
% Working Paper no. 21997.

do_all_solutions=1; % do all solutions - this option may take about 9 hours
% do_all_solutions=0; % do only cheap solutions - this option takes about 1 hour.

start_tic=tic;

save('options','do_all_solutions','start_tic');
clear,clc

prepare_all_models;

do_solve;

accuracy_and_simulation;

present_tables;

load('options')
if do_all_solutions==1
    make_Figure_I;
    make_Figure_II;
    make_Figure_III;
    make_Figure_IV;
end

load('options');

time=toc(start_tic);
save('time','time');

